summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author B. Watson <yalhcru@gmail.com>2010-05-12 23:33:16 +0200
committer David Somero <xgizzmo@slackbuilds.org>2010-05-12 23:33:16 +0200
commitaf9897ecf27a2dbe05d677b8ea9f9fb61d5537bb (patch)
tree29d913f65b9677d258ab8eb990f0d0913522c6e8
parent999190e0dd5beca8cee765e52cd7fb6d4a260f4c (diff)
downloadslackbuilds-af9897ecf27a2dbe05d677b8ea9f9fb61d5537bb.tar.gz
slackbuilds-af9897ecf27a2dbe05d677b8ea9f9fb61d5537bb.tar.xz
system/atari800_roms: Added to 12.2 repository
-rw-r--r--system/atari800_roms/README19
-rw-r--r--system/atari800_roms/atari800_roms.SlackBuild43
-rw-r--r--system/atari800_roms/atari800_roms.info8
-rw-r--r--system/atari800_roms/slack-desc19
4 files changed, 89 insertions, 0 deletions
diff --git a/system/atari800_roms/README b/system/atari800_roms/README
new file mode 100644
index 0000000000..3ddd082791
--- /dev/null
+++ b/system/atari800_roms/README
@@ -0,0 +1,19 @@
+The operating system and BASIC language ROM images from the
+Atari 800 and 800XL computers. The ROM images are installed in
+/usr/share/atari800/atari_roms, for use with the atari800 emulator,
+but may be used with other emulators such as Atari++.
+
+Also included are bootable disk images for Atari DOS 2.5 and MyDOS 4.5d,
+and a couple of disks of demo software. These are installed in
+/usr/share/atari800/disks
+
+These ROM images are proprietary and copyrighted, but have been widely
+available on the Internet for over 10 years. By installing this package,
+you may be violating copyright laws in your jurisdiction, but nobody
+has ever been sued or threatened for using these images. If you want
+to use an Open Source Atari OS instead, install the atari800_os++ package.
+
+If you have the SlackBuilds.org atari800_roms and atari800_os++ packages
+installed, you can adjust the symlink at /usr/share/atari800/atarixl.rom
+to choose which OS will run (or, edit ~/.atari800.cfg, or run atari800
+with the -xlxe_rom option).
diff --git a/system/atari800_roms/atari800_roms.SlackBuild b/system/atari800_roms/atari800_roms.SlackBuild
new file mode 100644
index 0000000000..949c89ea5f
--- /dev/null
+++ b/system/atari800_roms/atari800_roms.SlackBuild
@@ -0,0 +1,43 @@
+#!/bin/sh
+
+# Slackware build script for Atari OS ROMs
+
+# Written by B. Watson (yalhcru@gmail.com)
+
+PRGNAM=atari800_roms
+VERSION=${VERSION:-1} # these really don't have a version number...
+ARCH=noarch # (heh, I can't put m6502 for $ARCH...)
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT \
+ $PKG/usr/share/atari800/$PRGNAM $PKG/usr/share/atari800/disks
+cd $TMP
+rm -rf $PRGNAM
+mkdir $PRGNAM
+cd $PRGNAM
+unzip -LL $CWD/xf25.zip
+mv *.rom $PKG/usr/share/atari800/$PRGNAM
+mv *.atr *.xfd $PKG/usr/share/atari800/disks
+
+for rom in ataribas atariosb atarixl; do
+ ( cd $PKG/usr/share/atari800 && ln -s $PRGNAM/$rom.rom $rom.rom )
+done
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $CWD/README $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/atari800_roms/atari800_roms.info b/system/atari800_roms/atari800_roms.info
new file mode 100644
index 0000000000..ffa41e3c81
--- /dev/null
+++ b/system/atari800_roms/atari800_roms.info
@@ -0,0 +1,8 @@
+PRGNAM="atari800_roms"
+VERSION="1"
+HOMEPAGE="http://atari800.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/sourceforge/atari800/xf25.zip"
+MD5SUM="4dc3b6b4313e9596c4d474785a37b94d"
+MAINTAINER="B. Watson"
+EMAIL="yalhcru@gmail.com"
+APPROVED="dsomero"
diff --git a/system/atari800_roms/slack-desc b/system/atari800_roms/slack-desc
new file mode 100644
index 0000000000..439ca51964
--- /dev/null
+++ b/system/atari800_roms/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+atari800_roms: atari800_roms (OS and BASIC ROM images for atari800 emulator)
+atari800_roms:
+atari800_roms: These ROM images are proprietary and copyrighted, but have been widely
+atari800_roms: available on the Internet for over 10 years. By installing this
+atari800_roms: package, you may be violating copyright laws in your jurisdiction,
+atari800_roms: but nobody has ever been sued or threatened for using these images.
+atari800_roms:
+atari800_roms: If you want to use an Open Source Atari OS instead, install the
+atari800_roms: atari800_os++ package.
+atari800_roms:
+atari800_roms: